For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox Tags

Lists all tags for a chatbot

get

Required Permission: chatbots.tags.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

List of all tags.

application/json
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/tags
GET /v1/inbox/{chatbotId}/tags HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "tags": [
    {
      "id": "kMA97ZQweaES0FGU25cl",
      "created": "2025-10-06T18:00:00Z",
      "updated": "2025-10-06T18:05:00Z",
      "name": "Important",
      "color": "#FF0000"
    }
  ],
  "error": "text"
}

Creates a new tag

post

Required Permission: chatbots.tags.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
namestringRequired

The name of the new tag.

Example: VIP Customer
colorstringRequired

The color of the tag.

Example: blue
Responses
201

Tag created successfully.

application/json
errorstringOptional

Optional error message.

post/v1/inbox/{chatbotId}/tags
POST /v1/inbox/{chatbotId}/tags HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "name": "VIP Customer",
  "color": "blue"
}
{
  "tag": {
    "id": "kMA97ZQweaES0FGU25cl",
    "created": "2025-10-06T18:00:00Z",
    "updated": "2025-10-06T18:05:00Z",
    "name": "Important",
    "color": "#FF0000"
  },
  "error": "text"
}

Retrieves a specific tag

get

Required Permission: chatbots.tags.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

tagIdstringRequired

The ID of the tag to retrieve.

Responses
200

Details of the tag.

application/json
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/tags/{tagId}
GET /v1/inbox/{chatbotId}/tags/{tagId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "tag": {
    "id": "kMA97ZQweaES0FGU25cl",
    "created": "2025-10-06T18:00:00Z",
    "updated": "2025-10-06T18:05:00Z",
    "name": "Important",
    "color": "#FF0000"
  },
  "error": "text"
}

Deletes a tag

delete

Required Permission: chatbots.tags.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

tagIdstringRequired

The ID of the tag to delete.

Responses
200

Tag deleted successfully.

No content

delete/v1/inbox/{chatbotId}/tags/{tagId}
DELETE /v1/inbox/{chatbotId}/tags/{tagId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*

No content

Updates an existing tag

patch

Required Permission: chatbots.tags.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

tagIdstringRequired

The ID of the tag to update.

Body
namestringRequired

The new name of the tag.

Example: High Priority
colorstringRequired

The new color of the tag.

Example: dark_green
Responses
200

Tag updated successfully.

application/json
errorstringOptional

Optional error message.

patch/v1/inbox/{chatbotId}/tags/{tagId}
PATCH /v1/inbox/{chatbotId}/tags/{tagId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "name": "High Priority",
  "color": "dark_green"
}
{
  "tag": {
    "id": "kMA97ZQweaES0FGU25cl",
    "created": "2025-10-06T18:00:00Z",
    "updated": "2025-10-06T18:05:00Z",
    "name": "Important",
    "color": "#FF0000"
  },
  "error": "text"
}

Last updated